 ###############################################################################
 #  Copyright 2006 Ian McIntosh <ian@openanswers.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
 #  the Free Software Foundation; either version 2 of the License, or
 #  (at your option) any later version.
 #
 #  This program is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #  GNU Library General Public License for more details.
 #
 #  You should have received a copy of the GNU General Public License
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ###############################################################################

class ActorEffectCanvasTriangleBuilder < ActorEffectCanvas
	title				"Canvas Triangle Builder"
	description ""

	setting 'draw', :event
	setting 'x', :float, :range => -0.5..0.5, :default => -0.5..0.5
	setting 'y', :float, :range => -0.5..0.5, :default => -0.5..0.5

N = 20

	def paint(c)
		return

		return unless draw.now?

n = 1.0 / N

		grid_x, extra_x = x.divmod(n)
		grid_y, extra_y = y.divmod(n)

		top = extra_y > extra_x

s = n / 10.0

c.save
		c.set_source_rgba(1.0,0.0,0.0,1.0)
		c.set_operator(:source)

	start_x = x - (x % n)
	start_y = y - (y % n) #(1.0 - y) - extra_y

c.translate(shrink_factor, shrink_factor)

		c.move_to(start_x + s, start_y + s)
if top
		c.line_to(start_x + s, start_y + n - s)
else
		c.line_to(start_x + n - s, start_y + s)
end		
		c.line_to(start_x + n - s, start_y + n - s)
		c.line_to(start_x + s, start_y + s)
		c.fill
c.restore
	end
end

